#pragma once
#include "UnitTypeObject.h"
#include <Exp/ILogicalExp.h>

class CurrentWorld;

class BuildingTypeObject : public UnitTypeObject
{
public:
  BuildingTypeObject(BWAPI::UnitType unitType);
  BWAPI::UnitType getBuildingType() const
  {
    const BWAPI::UnitType buildingType = UnitTypeObject::getUnitType();
    assert(buildingType.isBuilding());
    return buildingType;
  }
protected:
  friend class CurrentWorld;
  virtual void initialize();
};